/* NAME:
**	OAFunctionValue:OAValue
**
** 	COPYRIGHT 1992 BY ONYSCHUK AND ASSOCIATES
**	ALL RIGHTS RESERVED.
**
** REVISION HISTORY:
**	93.03.28	MO	starting point
**
** DESCRIPTION:
**	Superclass representing all math system function values.
*/

#import "OAValue.h"

@interface OAFunctionValue:OAValue
{
    char		*fullname;

    id			*arguments;
    unsigned int	count;
}

/* INITIALIZING/FREEING A FUNCTION *************************************/

- init;
- free;

/* IDENTIFYING A FUNCTION ***********************************************/

- (const char **)arguments;

- (const char *)fullname;

- (const char *)creator;
- (const char *)contact;
- (const char *)version;

/* GETTING ARGUMENT VALUES BY NAME **************************************/

- valueForArgument:(const char *)argument;

/* SETTING ARGUMENT VALUES BY INDEX *************************************/

- setValue:value forArgumentNumber:(unsigned int)index;

/* READING & WRITING TYPED STREAMS **************************************/

- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

/* SORTA PRIVATE METHODS USED TO MAKE OUR EXPRESSIONVIEW WORK ************/

- (id *)_argumentsForOAExpressionView;

@end
