/* NAME:
**	OAVarArgFunctionValue:OAFunctionValue
**
** 	COPYRIGHT 1992 BY ONYSCHUK AND ASSOCIATES
**	ALL RIGHTS RESERVED.
**
** REVISION HISTORY:
**	93.06.04	MO	starting point
**
** DESCRIPTION:
**	A kind of OAFunctionValue with a variable number of
**	arguments.
*/

#import "OAFunctionValue.h"

@interface OAVarArgFunctionValue:OAFunctionValue
{
@public
    id	varArg;
}

/* INITIALIZING/FREEING A FUNCTION *************************************/

- init;
- free;

/* IDENTIFYING A FUNCTION ***********************************************/

- (const char *)fullname;

/* GETTING/SETTING ARGUMENT VALUES BY INDEX ****************************/

- valueForArgumentNumber:(unsigned int)number;
- setValue:value forArgumentNumber:(unsigned int)index;

/* READING & WRITING TYPED STREAMS **************************************/

- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

/* SORTA PRIVATE METHODS USED TO MAKE OUR EXPRESSIONVIEW WORK ************/

- _varArgForOAExpressionView;

@end